@font-face {
    font-family: "PressStart";
    src: url("../files/fonts/pressstart2p-webfont.woff2") format("woff2");
}

/* Aeonik Fonts */
@font-face {
    font-family: "Aeonik Fono";
    src: url("../files/fonts/AeonikFono/aeonikfono-regular.woff2") format("woff2");
}

@font-face {
    font-family: "Aeonik Fono";
    src: url("../files/fonts/AeonikFono/aeonikfono-bold.woff2") format("woff2");
    font-weight: 700;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    font-family: "Aeonik Fono", sans-serif;
    line-height: 1.6em;
    scroll-behavior: smooth;

    --bg: oklch(91.887% 0.0001 271.152);
    --text: oklch(16.376% 0.00002 271.152);
    --textLight: oklch(52.081% 0.00006 271.152);
    --border: oklch(72.193% 0.00008 271.152);
    --secondary: oklch(97.315% 0.00011 271.152);
    --accent: oklch(70.977% 0.19318 44.533);

    --box-border-radius: 0.125rem;
    --bevel: 1rem;
}

body {
    margin: 0;
    min-height: 100vh;

    display: flex;
    flex-direction: column;

    background-color: var(--bg);
    color: var(--text);
}

main {
    flex: 1;
}

header {
    display: flex;
    background-color: var(--bg);

    .container.polygon {
        position: relative;
    }

    >div {
        display: flex;
        padding-block: 1rem;
        padding-inline: 2rem;
        flex-grow: 1;
        align-items: center;
        justify-content: space-between;
    }
}

nav {
    position: absolute;
    inset: 0 0 auto 0;
    height: 0;

    overflow: hidden;
    transition: 0.3s ease-in-out;
    z-index: 1;

    background-color: var(--bg);

    ul {
        display: block;
        padding: 0;

        list-style: none;
    }

    a {
        display: block;
        position: relative;
        justify-content: center;

        margin-block: .5rem;
        margin-inline: 1rem;

        padding-block: .75rem;
        padding-inline: auto;
    }
}

.polygon {
    &::before {
        content: "";
        position: absolute;
        inset: 0;
        background-color: var(--border);
        clip-path: polygon(0 0,
                100% 0,
                100% calc(100% - var(--bevel) * 2),
                calc(100% - var(--bevel) * 2) 100%,
                calc(var(--bevel) * 2) 100%,
                0 calc(100% - var(--bevel) * 2),
                0 0,
                var(--box-border-radius) var(--box-border-radius),
                .1rem calc(100% - var(--bevel) * 2 - 0.04rem),
                calc(var(--bevel) * 2 + 0.04rem) calc(100% - var(--box-border-radius)),
                calc(100% - var(--bevel) * 2 - 0.04rem) calc(100% - var(--box-border-radius)),
                calc(100% - var(--box-border-radius)) calc(100% - var(--bevel) * 2 - 0.04rem),
                calc(100% - var(--box-border-radius)) var(--box-border-radius),
                var(--box-border-radius) var(--box-border-radius));
    }
}

header a,
a[href^="./"] {
    color: var(--text);
    text-decoration: none;
    text-align: center;
    text-wrap: nowrap;
}

nav a:hover,
nav a:focus-visible {
    --hover-icon-size: 2rem;
    --hover-margin-offset: -0.1rem;

    &:not([href="./"])::before {
        position: absolute;
        top: 0;
        left: 0;
        width: var(--hover-icon-size);
        height: var(--hover-icon-size);
        margin-inline-start: var(--hover-margin-offset);

        content: "";
        background-image: url("/files/images/utilities/corner.png");
        background-size: 2rem;
    }

    &:not([href="./"])::after {
        position: absolute;
        bottom: 0;
        right: 0;
        rotate: 180deg;
        width: var(--hover-icon-size);
        height: var(--hover-icon-size);
        margin-inline-end: var(--hover-margin-offset);

        content: "";
        background-image: url("/files/images/utilities/corner.png");
        background-size: 2rem;
    }
}

.nav-icon {
    display: block;
    cursor: pointer;
    z-index: 2;

    .nav-icon-line {
        width: 30px;
        height: 4px;
        border-radius: 1rem;
        background-color: var(--text);

        margin: 6px 10px;
    }
}

.active {
    height: 24rem;
    top: 0;
    padding-block-start: 4rem;
    border-top: 0;

    border: .15rem solid var(--border);

    .polygon::before {
        clip-path: 0;
    }
}

.logo {
    display: block;
    padding-inline-start: 1rem;
    z-index: 2;

    font-family: "PressStart", "Aeonik Fono", sans-serif;
    font-size: 1em;
}

footer {
    display: flex;
    position: relative;

    background-color: var(--text);
    color: var(--bg);

    .container a {
        color: inherit;
        text-decoration: underline solid;
    }

    p {
        margin: 0;
        padding-block: 1rem;
    }
}

.container {
    --max-container-width: 85rem;

    max-width: var(--max-container-width);
    margin-inline: auto;
    padding-inline: 1rem;
}

.cards {
    --width: calc(var(--max-container-width) / 3 - .1rem);
    --radius: 1rem;

    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;

    padding: 0;
    list-style: none;

    li {
        position: relative;
        display: flex;
        flex-direction: column;
        flex: 1 1 var(--width);
        margin-inline-end: -0.1rem;
        margin-block-start: -0.1rem;
        padding: 1rem;

        min-height: auto;

        background-color: var(--secondary);
        border: var(--box-border-radius) solid var(--border);

        div:not(.content) {
            display: flex;
            justify-content: space-between;

            h3 {
                margin-block: 0;
                margin-block-end: 1rem;
                font-size: 1.3em;
            }

            h3~h3 {
                text-align: end;
            }
        }

        .content {
            margin-block-start: auto;
        }

        img {
            display: flex;
            width: 75%;
            max-height: 100%;
            padding-block: auto;
            margin: auto;
        }

        &:hover,
        &:focus-visible {
            background-color: var(--text);
            color: var(--bg);
        }
    }

    a:not(.overlay-link) {
        margin-block-start: auto;
        padding: 0.75rem;
        width: 8rem;
        z-index: 1;
    }
}

.content {
    display: flex;
    flex-direction: column;
    height: 50%;
    max-height: 10rem;
}

.box {
    padding: 1rem;
    outline: var(--box-border-radius) solid var(--border);
}

.intro {
    --max-img-size: 16rem;

    display: flex;
    flex-direction: column;
    margin-block-start: 2rem;
    padding: 1rem;
    gap: 1rem;

    div {
        display: flex;
        flex-direction: column;
    }

    picture {
        order: -1;
        margin-block-end: auto;
        margin-inline: auto;
    }

    img {
        width: 100%;
        max-width: var(--max-img-size);
        margin-inline: auto;
        order: -1;
    }

    a:not([href*="mailto:"]) {
        width: fit-content;
        margin-block-start: auto;
        padding-block: .75rem;
        padding-inline: 1.5rem;
    }
}

.socials {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    text-align: center;

    padding: 0;
    gap: 1.5rem;

    list-style: none;

    li {
        max-width: 5rem;

        img {
            width: 5rem;
            max-width: inherit;
            padding-inline: auto;

            border-radius: 1rem;
            scale: 100%;

            transition: scale .2s ease-in-out;

            &:hover,
            &:focus-visible {
                scale: 110%;
            }
        }

        p {
            margin: 0;
        }
    }
}

.dots {
    --s: 0.5rem;
    border: var(--s) solid var(--accent);
    padding: 10px;
    width: 100%;
    mask:
        conic-gradient(#000 0 0) content-box,
        conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0/calc(100% - var(--s)) calc(100% - var(--s));
}

.corners {
    --s: 0.8rem;
    border: 3px solid var(--border);
    padding: 0.75rem;
    width: 100%;
    mask:
        conic-gradient(#000 0 0) content-box,
        conic-gradient(at var(--s) var(--s), #0000 75%, #000 0) 0 0/calc(100% - var(--s)) calc(100% - var(--s));
}

.highlight-btn,
a[href="./"] {
    &:not(.logo) {
        font-weight: bold;
        text-decoration: none;
        text-align: center;
        border: none;

        color: var(--text);
        background-color: var(--accent);

        clip-path: polygon(0 var(--bevel), var(--bevel) 0, 100% 0, 100% calc(100% - var(--bevel)), calc(100% - var(--bevel)) 100%, 0 100%);

        &:hover,
        &:focus-visible {
            color: var(--secondary);
        }
    }
}

#gameButton {
    --gamebutton-size: 12rem;
    --gamebutton-image-size: calc(var(--gamebutton-size) - 2rem);

    width: var(--gamebutton-size);
    height: var(--gamebutton-size);
    scale: 100%;

    margin: auto;

    border: none;
    background-color: var(--accent);

    transition: 0.1s ease-in-out;

    clip-path: polygon(0 var(--bevel),
            var(--bevel) 0,
            calc(100% - var(--bevel)) 0,
            100% var(--bevel),
            100% calc(100% - var(--bevel)),
            calc(100% - var(--bevel)) 100%,
            var(--bevel) 100%,
            0 calc(100% - var(--bevel)));

    img {
        width: var(--gamebutton-image-size);
        padding: auto;
    }

    &:hover,
    &:focus-visible {
        cursor: pointer;
        filter: brightness(0.8);
        scale: 105%;
    }
}

.--narrow {
    max-width: 40rem;
}

.--medium {
    max-width: 60rem;
}

.--wide {
    max-width: 100vw;
    padding-inline: 1.5rem;
}

.--center li {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.--gap2 {
    gap: 2rem;
}

.--mb-1 {
    margin-block: 1rem;
}

.--mb-2 {
    margin-block: 2rem;
}

.--text-nw {
    text-wrap: nowrap;
}

.--dir-rr {
    flex-direction: row-reverse;
}

.overlay-link {
    display: initial;
    position: absolute;
    padding: 0;
    inset: 0;
    width: 100%;
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
}

.visually-hidden {
    clip: rect(0, 0, 0, 0);
    clip-path: inset(50%);
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    height: 1px;
}

.hidden {
    display: none;
}

@media (min-width: 33rem) {
    .cards {
        justify-content: left;

        li {
            max-width: 50%;
        }
    }
}

@media (min-width: 40rem) {
    #gameButton {
        margin-inline-end: 1rem;
    }
}

@media (min-width: 47rem) {
    .intro {
        flex-direction: row;

        img {
            order: 1;
            margin-block-end: auto;
        }

        picture {
            order: 1;
            margin-inline: auto 0;
        }
    }
}

@media (min-width: 56rem) {
    .cards li {
        max-width: 33%;
    }

    .--center {
        justify-content: center;
    }
}

@media (min-width: 65rem) {
    nav {
        display: block;
        align-items: baseline;
        justify-content: space-between;

        position: relative;
        padding: 0;
        height: auto;
        inset: auto;

        background-color: transparent;

        ul {
            display: flex;
            margin: 0;

            li a {
                margin-inline: 1rem;
                padding: 1rem;
                width: 8rem;
            }
        }

        a:last-child {
            margin-inline-end: 0;
        }
    }

    .nav-icon {
        display: none;
    }
}

@media (min-width: 85rem) {
    nav ul li a {
        width: 10rem;
    }

    .cards:not(.--center) li {
        max-width: 25%;
    }

    .logo {
        font-size: 2em;
    }
}